Bug 628192 - (CVE-2010-3680) CVE-2010-3680 MySQL: mysqld DoS (assertion failure) by using temporary InnoDB engine tables with nullable columns (MySQL bug #54044)
CVE-2010-3680 MySQL: mysqld DoS (assertion failure) by using temporary InnoDB...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
public=20100709,reported=20100827,sou...
: Security
Depends On: 636780 645642 645643 652553 652554 833943
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-28 10:13 EDT by Jan Lieskovsky
Modified: 2015-10-23 10:57 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 11:11:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2010-08-28 10:13:25 EDT
A denial of service was found in the way MySQL processed creation of
temporary tables, when the InnoDB storage engine was used. A remote
authenticated MySQL user could use this flaw to cause mysqld daemon
abort (assertion failure).

References:
  [1] http://secunia.com/advisories/41048/
  [2] http://dev.mysql.com/doc/refman/5.1/en/news-5-1-49.html

Upstream bug report:
  [3] http://bugs.mysql.com/bug.php?id=54044

Note:
This issue only causes a temporary denial of service, as the mysql daemon
shipped with Red Hat Enterprise Linux 5 will be automatically restarted
after the abort.
Comment 1 Jan Lieskovsky 2010-08-28 10:16:09 EDT
Public reproducer (from [3]):

SET storage_engine=innodb;
CREATE TEMPORARY TABLE mk_upgrade AS SELECT  IF(NULL  IS NOT NULL, NULL
, NULL) ; drop table mk_upgrade;
Comment 4 Jan Lieskovsky 2010-08-28 10:34:36 EDT
This issue did NOT affect the versions of the mysql package, as shipped
with Red Hat Enterprise Linux 3 and 4.

This issue affects the version of the mysql package, as shipped with
Red Hat Enterprise Linux 5.

The Red Hat Security Response Team has rated this issue as having
low security impact, as exploitation of this issue would mean only
a temporary denial of service, since the mysql daemon shipped with
Red Hat Enterprise Linux 5 will be automatically restarted after
the abort.

A future update may address this flaw in Red Hat Enterprise Linux 5.

--

This issue affects the versions of the mysql package, as shipped with
Fedora release of 12 and 13.
Comment 6 Jan Lieskovsky 2010-08-31 08:54:52 EDT
CVE Request: http://www.openwall.com/lists/oss-security/2010/08/30/8
Comment 7 Jan Lieskovsky 2010-09-23 05:19:56 EDT
Created mysql tracking bugs for this issue

Affects: fedora-all [bug 636780]
Comment 8 Jan Lieskovsky 2010-09-29 04:42:53 EDT
The CVE identifier of CVE-2010-3680 has been assigned to this issue.
Comment 11 errata-xmlrpc 2010-11-03 16:21:59 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2010:0825 https://rhn.redhat.com/errata/RHSA-2010-0825.html
Comment 12 Vincent Danen 2010-11-03 16:48:36 EDT
Statement:

This issue did not affect the versions of mysql as shipped with Red Hat Enterprise Linux 3 and 4.
Comment 14 errata-xmlrpc 2011-01-18 13:43:15 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:0164 https://rhn.redhat.com/errata/RHSA-2011-0164.html

Note You need to log in before you can comment on or make changes to this bug.